Bug 135749 - Crash when opening a document
Summary: Crash when opening a document
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: HI crash (vote)
Target Milestone: ---
Assignee: Oliver Kellogg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-16 14:17 UTC by Maruschenko Dmitry
Modified: 2006-10-23 21:37 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
bug135749-no-listview.xmi (88.89 KB, application/x-uml)
2006-10-17 00:19 UTC, Oliver Kellogg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maruschenko Dmitry 2006-10-16 14:17:45 UTC
Version:           1.5.5 (using KDE KDE 3.5.5)
Installed from:    Ubuntu Packages
OS:                Linux

When I'm trying to open a document Umbrello crashes with such message:

[console output:]
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
Qt: Locales not supported on X server
QInputContext: no input method context available
QInputContext: no input method context available
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
QInputContext: no input method context available
QInputContext: no input method context available
QInputContext: no input method context available
QInputContext: no input method context available
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
qstring_to_xtp result code -2
QInputContext: no input method context available
QInputContext: no input method context available
qstring_to_xtp result code -2
umbrello: ERROR: validateObjType(Entity Relationship Model): expected type 103, actual type 120
umbrello: ERROR: validateObjType(Deployment View): expected type 103, actual type 120
umbrello: ERROR: validateObjType(Use Case View): expected type 103, actual type 120
umbrello: ERROR: makeWidgetFromXMI: cannot find object with id 9
umbrello: ERROR: makeWidgetFromXMI: cannot find object with id 10
umbrello: ERROR: makeWidgetFromXMI: cannot find object with id 12
umbrello: ERROR: makeWidgetFromXMI: cannot find object with id 37
umbrello: ERROR: makeWidgetFromXMI: cannot find object with id 7253
umbrello: ERROR: makeWidgetFromXMI: cannot find object with id 10221
umbrello: ERROR: AssociationWidget::loadFromXMI(): cannot find widget for roleA id 6
umbrello: ERROR: couldn't loadFromXMI association widget:0x880bb48, bad XMI file? Deleting from umlview.
umbrello: ERROR: AssociationWidget::loadFromXMI(): cannot find widget for roleA id 9
umbrello: ERROR: couldn't loadFromXMI association widget:0x880bb48, bad XMI file? Deleting from umlview.
umbrello: ERROR: AssociationWidget::loadFromXMI(): cannot find widget for roleA id 9
umbrello: ERROR: couldn't loadFromXMI association widget:0x880bb48, bad XMI file? Deleting from umlview.
umbrello: ERROR: AssociationWidget::loadFromXMI(): cannot find widget for roleA id 3
umbrello: ERROR: couldn't loadFromXMI association widget:0x880bb48, bad XMI file? Deleting from umlview.
umbrello: ERROR: AssociationWidget::loadFromXMI(): cannot find widget for roleA id 5
umbrello: ERROR: couldn't loadFromXMI association widget:0x880bb48, bad XMI file? Deleting from umlview.
umbrello: ERROR: AssociationWidget::loadFromXMI(): cannot find widget for roleA id 6
umbrello: ERROR: couldn't loadFromXMI association widget:0x880bb48, bad XMI file? Deleting from umlview.
umbrello: ERROR: AssociationWidget::loadFromXMI(): cannot find widget for roleA id 10221
umbrello: ERROR: couldn't loadFromXMI association widget:0x880bb48, bad XMI file? Deleting from umlview.
umbrello: ERROR: AssociationWidget::loadFromXMI(): cannot find widget for roleA id 7253
umbrello: ERROR: couldn't loadFromXMI association widget:0x880bb48, bad XMI file? Deleting from umlview.
umbrello: ERROR: AssociationWidget::loadFromXMI(): cannot find widget for roleA id 6
umbrello: ERROR: couldn't loadFromXMI association widget:0x880bb48, bad XMI file? Deleting from umlview.
umbrello: ERROR: AssociationWidget::loadFromXMI(): cannot find widget for roleA id 6
umbrello: ERROR: couldn't loadFromXMI association widget:0x880bb48, bad XMI file? Deleting from umlview.
umbrello: ERROR: AssociationWidget::loadFromXMI(): cannot find widget for roleA id 3
umbrello: ERROR: couldn't loadFromXMI association widget:0x880bb48, bad XMI file? Deleting from umlview.
umbrello: ERROR: AssociationWidget::loadFromXMI(): cannot find widget for roleA id 3
umbrello: ERROR: couldn't loadFromXMI association widget:0x880bb48, bad XMI file? Deleting from umlview.
umbrello: ERROR: AssociationWidget::loadFromXMI(): cannot find widget for roleB id 10221
umbrello: ERROR: couldn't loadFromXMI association widget:0x880bb48, bad XMI file? Deleting from umlview.
umbrello: ERROR: AssociationWidget::loadFromXMI(): cannot find widget for roleB id 9
umbrello: ERROR: couldn't loadFromXMI association widget:0x880bb48, bad XMI file? Deleting from umlview.
umbrello: ERROR: AssociationWidget::loadFromXMI(): cannot find widget for roleA id 9
umbrello: ERROR: couldn't loadFromXMI association widget:0x880bb48, bad XMI file? Deleting from umlview.
umbrello: ERROR: makeWidgetFromXMI: cannot find object with id 9
umbrello: ERROR: makeWidgetFromXMI: cannot find object with id 37
umbrello: WARNING: failed umlview load on messages
umbrello: ERROR: ObjectWidget::messageRemoved(Init) : missing entry !
umbrello: ERROR: ObjectWidget::messageRemoved(Init) : missing entry !
umbrello: ERROR: ObjectWidget::messageRemoved(getTapeId) : missing entry !
umbrello: ERROR: ObjectWidget::messageRemoved(getTapeId) : missing entry !
umbrello: ERROR: ObjectWidget::messageRemoved(_Read) : missing entry !
umbrello: ERROR: ObjectWidget::messageRemoved(_Read) : missing entry !
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 15
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 47
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 45
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 46
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 45
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 207
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 208
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 209
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 210
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 211
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 212
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 238
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 15
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 1746
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 238
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 210
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 211
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 212
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 207
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 3349
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 3349
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2780
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2859
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2872
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2879
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2898
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 3827
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 3349
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 15
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 47
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 45
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 46
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 45
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 207
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 208
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 209
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 210
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 211
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 212
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 238
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 15
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 1746
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 238
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 210
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 211
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 212
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 207
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 3349
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 3349
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2780
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2859
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2872
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2879
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2898
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 3827
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 3349
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 16172
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 16185
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 15
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 47
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 45
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 46
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 45
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 207
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 208
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 209
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 210
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 211
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 212
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 238
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 15
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 1746
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 238
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 210
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 211
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 212
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 207
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 3349
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 3349
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2780
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2859
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2872
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2879
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2898
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 3827
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 3349
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 15
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 47
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 45
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 46
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 45
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 207
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 208
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 209
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 210
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 211
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 212
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 238
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 15
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 1746
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 238
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 210
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 211
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 212
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 207
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2057
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 3349
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 3349
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2780
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2859
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2872
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2879
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2898
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 2667
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 3827
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 3349
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 16172
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 16185
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 9
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 10
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 9
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 10
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 9
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 12
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 9
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 12
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 9
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 10
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 10
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 12
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 9
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 37
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 7253
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 37
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 37
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 9
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 9
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 37
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 9
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 37
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 10221
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 9
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 10221
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 7253
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 10221
umbrello: ERROR: UMLObject::resolveRef(): cannot find type with id 9
umbrello: ERROR: UMLObject::resolveRef(getTapeGroups): cannot find type with id 10221
umbrello: ERROR: UMLObject::resolveRef(getTapeGroups): cannot find type with id 10221
umbrello: ERROR: UMLListView::loadChildrenFromXMI: INTERNAL ERROR: findItem(id 7253) returns NULL
umbrello: WARNING: unused list view item 7253 of lvtype 813
umbrello: ERROR: UMLListView::loadChildrenFromXMI: INTERNAL ERROR: findItem(id 10221) returns NULL
umbrello: WARNING: unused list view item 10221 of lvtype 813
umbrello: ERROR: UMLListView::loadChildrenFromXMI: INTERNAL ERROR: findItem(id 9) returns NULL
umbrello: WARNING: unused list view item 9 of lvtype 813
umbrello: ERROR: UMLListView::loadChildrenFromXMI: INTERNAL ERROR: findItem(id 37) returns NULL
umbrello: WARNING: unused list view item 37 of lvtype 813
umbrello: ERROR: UMLListView::loadChildrenFromXMI: INTERNAL ERROR: findItem(id 12) returns NULL
umbrello: WARNING: unused list view item 12 of lvtype 817
umbrello: ERROR: UMLListView::loadChildrenFromXMI: INTERNAL ERROR: findItem(id 10) returns NULL
umbrello: WARNING: unused list view item 10 of lvtype 817
KCrash: Application 'umbrello' crashing...

[KDE crash handler report:]
(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1234065744 (LWP 5768)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0x0046006e in ?? ()
#7  0x081d6e81 in UMLListView::loadChildrenFromXMI ()
#8  0x081d8ba7 in UMLListView::loadFromXMI ()
#9  0x081d94d5 in UMLDoc::loadExtensionsFromXMI ()
#10 0x081d9c12 in UMLDoc::loadFromXMI ()
#11 0x081cf05a in UMLDoc::openDocument ()
#12 0x081cf95f in UMLApp::slotFileOpen ()
#13 0x081d0582 in UMLApp::qt_invoke ()
#14 0xb77cd79f in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#15 0xb77ce244 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#16 0xb68f13b9 in KAction::activated () from /usr/lib/libkdeui.so.4
#17 0xb692ec02 in KAction::slotActivated () from /usr/lib/libkdeui.so.4
#18 0xb692eb9c in KAction::slotButtonClicked () from /usr/lib/libkdeui.so.4
#19 0xb69f7586 in KAction::qt_invoke () from /usr/lib/libkdeui.so.4
#20 0xb77cd79f in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#21 0xb692a340 in KToolBarButton::buttonClicked () from /usr/lib/libkdeui.so.4
#22 0xb692a646 in KToolBarButton::mouseReleaseEvent ()
   from /usr/lib/libkdeui.so.4
#23 0xb7804571 in QWidget::event () from /usr/lib/libqt-mt.so.3
#24 0xb69a1861 in KToolBarButton::event () from /usr/lib/libkdeui.so.4
#25 0xb7764a98 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#26 0xb7766c56 in QApplication::notify () from /usr/lib/libqt-mt.so.3
#27 0xb7f05fc2 in KApplication::notify () from /usr/lib/libkdecore.so.4
#28 0xb76f73fd in QApplication::sendSpontaneousEvent ()
   from /usr/lib/libqt-mt.so.3
#29 0xb76f6062 in QETWidget::translateMouseEvent ()
   from /usr/lib/libqt-mt.so.3
#30 0xb76f414c in QApplication::x11ProcessEvent () from /usr/lib/libqt-mt.so.3
#31 0xb770b320 in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#32 0xb777f16e in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#33 0xb777ef7e in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
#34 0xb7766641 in QApplication::exec () from /usr/lib/libqt-mt.so.3
#35 0x081d00f7 in main ()


You can try to reproduce this bug by opening my file:

<?xml version="1.0" encoding="UTF-8"?>
<XMI xmlns:UML="http://schema.omg.org/spec/UML/1.3" verified="false" timestamp="2006-10-16T15:23:24" xmi.version="1.2" >
 <XMI.header>
  <XMI.documentation>
   <XMI.exporter>umbrello uml modeller http://uml.sf.net</XMI.exporter>
   <XMI.exporterVersion>1.5.5</XMI.exporterVersion>
   <XMI.exporterEncoding>UnicodeUTF8</XMI.exporterEncoding>
  </XMI.documentation>
  <XMI.metamodel xmi.name="UML" href="UML.xml" xmi.version="1.3" />
 </XMI.header>
 <XMI.content>
  <UML:Model isSpecification="false" isLeaf="false" isRoot="false" xmi.id="m1" isAbstract="false" name="UML-модель" >
   <UML:Namespace.ownedElement>
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="m1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="11" isRoot="false" isAbstract="false" name="datatype" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="11" isRoot="false" isAbstract="false" name="datatype" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="11" isRoot="false" isAbstract="false" name="datatype" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="11" isRoot="false" isAbstract="false" name="datatype" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="2" isRoot="false" isAbstract="false" name="folder" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="4" isRoot="false" isAbstract="false" name="subsystem" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="11" isRoot="false" isAbstract="false" name="interface" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="1534" isRoot="false" isAbstract="false" name="datatype" />
    <UML:Stereotype isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="6608" isRoot="false" isAbstract="false" name="table" />
    <UML:Model stereotype="2" isSpecification="false" isLeaf="false" visibility="public" namespace="m1" xmi.id="1" isRoot="false" isAbstract="false" name="Logical View" >
     <UML:Namespace.ownedElement>
      <UML:Package stereotype="2" isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="18051" isRoot="false" isAbstract="false" name="Datatypes" >
       <UML:Namespace.ownedElement>
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1533" isRoot="false" isAbstract="false" name="varchar" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1543" isRoot="false" isAbstract="false" name="tinyint" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1552" isRoot="false" isAbstract="false" name="smallint" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1561" isRoot="false" isAbstract="false" name="mediumint" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1570" isRoot="false" isAbstract="false" name="bigint" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1579" isRoot="false" isAbstract="false" name="float" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1588" isRoot="false" isAbstract="false" name="double" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1597" isRoot="false" isAbstract="false" name="decimal" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1606" isRoot="false" isAbstract="false" name="date" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1615" isRoot="false" isAbstract="false" name="datetime" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1624" isRoot="false" isAbstract="false" name="time" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1633" isRoot="false" isAbstract="false" name="timestamp" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1642" isRoot="false" isAbstract="false" name="year" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1651" isRoot="false" isAbstract="false" name="char" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1660" isRoot="false" isAbstract="false" name="tinyblob" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1669" isRoot="false" isAbstract="false" name="blob" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1678" isRoot="false" isAbstract="false" name="mediumblob" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1687" isRoot="false" isAbstract="false" name="longblob" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1696" isRoot="false" isAbstract="false" name="tinytext" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1705" isRoot="false" isAbstract="false" name="text" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1714" isRoot="false" isAbstract="false" name="mediumtext" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1723" isRoot="false" isAbstract="false" name="longtext" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1732" isRoot="false" isAbstract="false" name="enum" />
        <UML:DataType stereotype="1534" isSpecification="false" isLeaf="false" visibility="public" namespace="18051" xmi.id="1741" isRoot="false" isAbstract="false" name="set" />
       </UML:Namespace.ownedElement>
      </UML:Package>
      <UML:Class isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="39" isRoot="false" isAbstract="false" name="int" />
      <UML:Class isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="182" isRoot="false" isAbstract="false" name="string" />
      <UML:Class isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="426" isRoot="false" isAbstract="false" name="bool" />
      <UML:Class isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="561" isRoot="false" isAbstract="false" name="array" />
      <UML:Class isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="14511" isRoot="false" isAbstract="false" name="TapeGroupManager" >
       <UML:Classifier.feature>
        <UML:Operation isSpecification="false" isLeaf="false" visibility="public" xmi.id="14538" isRoot="false" isAbstract="false" isQuery="false" name="getTapeGroups" >
         <UML:BehavioralFeature.parameter>
          <UML:Parameter kind="return" xmi.id="118324" type="10221" />
         </UML:BehavioralFeature.parameter>
        </UML:Operation>
       </UML:Classifier.feature>
      </UML:Class>
      <UML:Class isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="91511" isRoot="false" isAbstract="false" name="Alias" >
       <UML:Classifier.feature>
        <UML:Attribute isSpecification="false" visibility="private" xmi.id="91812" type="39" name="_Id" />
        <UML:Attribute isSpecification="false" visibility="private" xmi.id="91870" type="182" name="_Name" />
        <UML:Attribute isSpecification="false" visibility="private" xmi.id="91928" type="39" name="_Comment" />
        <UML:Attribute isSpecification="false" visibility="private" xmi.id="92101" type="39" name="_TapeId" />
        <UML:Operation isSpecification="false" isLeaf="false" visibility="public" xmi.id="93941" isRoot="false" isAbstract="false" isQuery="false" name="Init" >
         <UML:BehavioralFeature.parameter>
          <UML:Parameter isSpecification="false" visibility="private" xmi.id="94230" value="" type="182" name="alias" />
         </UML:BehavioralFeature.parameter>
        </UML:Operation>
        <UML:Operation isSpecification="false" isLeaf="false" visibility="public" xmi.id="92387" isRoot="false" isAbstract="false" isQuery="false" name="getId" />
        <UML:Operation isSpecification="false" isLeaf="false" visibility="public" xmi.id="92445" isRoot="false" isAbstract="false" isQuery="false" name="getName" />
        <UML:Operation isSpecification="false" isLeaf="false" visibility="public" xmi.id="92503" isRoot="false" isAbstract="false" isQuery="false" name="getComment" />
        <UML:Operation isSpecification="false" isLeaf="false" visibility="public" xmi.id="92561" isRoot="false" isAbstract="false" isQuery="false" name="getTapeId" >
         <UML:BehavioralFeature.parameter>
          <UML:Parameter kind="return" xmi.id="118325" type="39" />
         </UML:BehavioralFeature.parameter>
        </UML:Operation>
        <UML:Operation isSpecification="false" isLeaf="false" visibility="public" xmi.id="93137" isRoot="false" isAbstract="false" isQuery="false" name="setName" >
         <UML:BehavioralFeature.parameter>
          <UML:Parameter isSpecification="false" visibility="private" xmi.id="93425" value="" type="182" name="name" />
         </UML:BehavioralFeature.parameter>
        </UML:Operation>
        <UML:Operation isSpecification="false" isLeaf="false" visibility="public" xmi.id="92619" isRoot="false" isAbstract="false" isQuery="false" name="setTape" >
         <UML:BehavioralFeature.parameter>
          <UML:Parameter isSpecification="false" visibility="private" xmi.id="92620" value="" type="39" name="id" />
         </UML:BehavioralFeature.parameter>
        </UML:Operation>
        <UML:Operation isSpecification="false" isLeaf="false" visibility="public" xmi.id="93195" isRoot="false" isAbstract="false" isQuery="false" name="setComment" >
         <UML:BehavioralFeature.parameter>
          <UML:Parameter isSpecification="false" visibility="private" xmi.id="93310" value="" type="182" name="comment" />
         </UML:BehavioralFeature.parameter>
        </UML:Operation>
        <UML:Operation isSpecification="false" isLeaf="false" visibility="public" xmi.id="93022" isRoot="false" isAbstract="false" isQuery="false" name="Write" />
        <UML:Operation isSpecification="false" isLeaf="false" visibility="public" xmi.id="93826" isRoot="false" isAbstract="false" isQuery="false" name="Delete" />
        <UML:Operation isSpecification="false" isLeaf="false" visibility="private" xmi.id="94115" isRoot="false" isAbstract="false" isQuery="false" name="_Read" >
         <UML:BehavioralFeature.parameter>
          <UML:Parameter isSpecification="false" visibility="private" xmi.id="104767" value="" type="182" name="alias" />
         </UML:BehavioralFeature.parameter>
        </UML:Operation>
       </UML:Classifier.feature>
      </UML:Class>
      <UML:Class isSpecification="false" isLeaf="false" visibility="public" namespace="1" xmi.id="101580" isRoot="false" isAbstract="false" name="Component" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="42" client="22" name="" supplier="15" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="48" client="47" name="" supplier="45" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="51" client="46" name="" supplier="45" />
      <UML:Generalization isSpecification="false" child="207" visibility="public" namespace="1" xmi.id="213" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="208" visibility="public" namespace="1" xmi.id="216" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="209" visibility="public" namespace="1" xmi.id="219" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="210" visibility="public" namespace="1" xmi.id="222" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="211" visibility="public" namespace="1" xmi.id="225" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="212" visibility="public" namespace="1" xmi.id="228" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="238" visibility="public" namespace="1" xmi.id="239" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="15" visibility="public" namespace="1" xmi.id="1791" parent="1746" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2057" visibility="public" namespace="1" xmi.id="2070" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="238" visibility="public" namespace="1" xmi.id="2592" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="210" visibility="public" namespace="1" xmi.id="2607" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="211" visibility="public" namespace="1" xmi.id="2622" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="212" visibility="public" namespace="1" xmi.id="2637" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="207" visibility="public" namespace="1" xmi.id="2652" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2057" visibility="public" namespace="1" xmi.id="3401" parent="3349" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="3349" visibility="public" namespace="1" xmi.id="3482" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2667" visibility="public" namespace="1" xmi.id="3497" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2780" visibility="public" namespace="1" xmi.id="3648" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2859" visibility="public" namespace="1" xmi.id="3663" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2872" visibility="public" namespace="1" xmi.id="3678" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2879" visibility="public" namespace="1" xmi.id="3693" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2898" visibility="public" namespace="1" xmi.id="3708" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="3827" visibility="public" namespace="1" xmi.id="3980" parent="3349" discriminator="" name="" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="42" client="22" name="" supplier="15" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="48" client="47" name="" supplier="45" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="51" client="46" name="" supplier="45" />
      <UML:Generalization isSpecification="false" child="207" visibility="public" namespace="1" xmi.id="213" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="208" visibility="public" namespace="1" xmi.id="216" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="209" visibility="public" namespace="1" xmi.id="219" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="210" visibility="public" namespace="1" xmi.id="222" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="211" visibility="public" namespace="1" xmi.id="225" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="212" visibility="public" namespace="1" xmi.id="228" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="238" visibility="public" namespace="1" xmi.id="239" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="15" visibility="public" namespace="1" xmi.id="1791" parent="1746" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2057" visibility="public" namespace="1" xmi.id="2070" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="238" visibility="public" namespace="1" xmi.id="2592" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="210" visibility="public" namespace="1" xmi.id="2607" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="211" visibility="public" namespace="1" xmi.id="2622" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="212" visibility="public" namespace="1" xmi.id="2637" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="207" visibility="public" namespace="1" xmi.id="2652" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2057" visibility="public" namespace="1" xmi.id="3401" parent="3349" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="3349" visibility="public" namespace="1" xmi.id="3482" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2667" visibility="public" namespace="1" xmi.id="3497" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2780" visibility="public" namespace="1" xmi.id="3648" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2859" visibility="public" namespace="1" xmi.id="3663" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2872" visibility="public" namespace="1" xmi.id="3678" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2879" visibility="public" namespace="1" xmi.id="3693" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2898" visibility="public" namespace="1" xmi.id="3708" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="3827" visibility="public" namespace="1" xmi.id="3980" parent="3349" discriminator="" name="" />
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="17845" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="17846" aggregation="none" type="16172" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="17847" aggregation="none" type="16185" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="42" client="22" name="" supplier="15" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="48" client="47" name="" supplier="45" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="51" client="46" name="" supplier="45" />
      <UML:Generalization isSpecification="false" child="207" visibility="public" namespace="1" xmi.id="213" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="208" visibility="public" namespace="1" xmi.id="216" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="209" visibility="public" namespace="1" xmi.id="219" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="210" visibility="public" namespace="1" xmi.id="222" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="211" visibility="public" namespace="1" xmi.id="225" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="212" visibility="public" namespace="1" xmi.id="228" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="238" visibility="public" namespace="1" xmi.id="239" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="15" visibility="public" namespace="1" xmi.id="1791" parent="1746" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2057" visibility="public" namespace="1" xmi.id="2070" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="238" visibility="public" namespace="1" xmi.id="2592" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="210" visibility="public" namespace="1" xmi.id="2607" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="211" visibility="public" namespace="1" xmi.id="2622" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="212" visibility="public" namespace="1" xmi.id="2637" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="207" visibility="public" namespace="1" xmi.id="2652" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2057" visibility="public" namespace="1" xmi.id="3401" parent="3349" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="3349" visibility="public" namespace="1" xmi.id="3482" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2667" visibility="public" namespace="1" xmi.id="3497" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2780" visibility="public" namespace="1" xmi.id="3648" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2859" visibility="public" namespace="1" xmi.id="3663" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2872" visibility="public" namespace="1" xmi.id="3678" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2879" visibility="public" namespace="1" xmi.id="3693" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2898" visibility="public" namespace="1" xmi.id="3708" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="3827" visibility="public" namespace="1" xmi.id="3980" parent="3349" discriminator="" name="" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="42" client="22" name="" supplier="15" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="48" client="47" name="" supplier="45" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="51" client="46" name="" supplier="45" />
      <UML:Generalization isSpecification="false" child="207" visibility="public" namespace="1" xmi.id="213" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="208" visibility="public" namespace="1" xmi.id="216" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="209" visibility="public" namespace="1" xmi.id="219" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="210" visibility="public" namespace="1" xmi.id="222" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="211" visibility="public" namespace="1" xmi.id="225" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="212" visibility="public" namespace="1" xmi.id="228" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="238" visibility="public" namespace="1" xmi.id="239" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="15" visibility="public" namespace="1" xmi.id="1791" parent="1746" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2057" visibility="public" namespace="1" xmi.id="2070" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="238" visibility="public" namespace="1" xmi.id="2592" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="210" visibility="public" namespace="1" xmi.id="2607" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="211" visibility="public" namespace="1" xmi.id="2622" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="212" visibility="public" namespace="1" xmi.id="2637" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="207" visibility="public" namespace="1" xmi.id="2652" parent="2057" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2057" visibility="public" namespace="1" xmi.id="3401" parent="3349" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="3349" visibility="public" namespace="1" xmi.id="3482" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2667" visibility="public" namespace="1" xmi.id="3497" parent="182" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2780" visibility="public" namespace="1" xmi.id="3648" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2859" visibility="public" namespace="1" xmi.id="3663" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2872" visibility="public" namespace="1" xmi.id="3678" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2879" visibility="public" namespace="1" xmi.id="3693" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="2898" visibility="public" namespace="1" xmi.id="3708" parent="2667" discriminator="" name="" />
      <UML:Generalization isSpecification="false" child="3827" visibility="public" namespace="1" xmi.id="3980" parent="3349" discriminator="" name="" />
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="17845" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="17846" aggregation="none" type="16172" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="17847" aggregation="none" type="16185" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Abstraction isSpecification="false" visibility="public" namespace="1" xmi.id="13" client="9" name="" supplier="10" />
      <UML:Abstraction isSpecification="false" visibility="public" namespace="1" xmi.id="16" client="9" name="" supplier="10" />
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="19" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="20" aggregation="composite" type="9" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="21" aggregation="none" type="12" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Abstraction isSpecification="false" visibility="public" namespace="1" xmi.id="22" client="9" name="" supplier="12" />
      <UML:Abstraction isSpecification="false" visibility="public" namespace="1" xmi.id="25" client="9" name="" supplier="10" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="28" client="3" name="" supplier="10" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="31" client="5" name="" supplier="12" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="244" client="9" name="" supplier="37" />
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="2022" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="2023" aggregation="none" type="1451" name="" />
        <UML:AssociationEnd isSpecification="false" relationship="true" visibility="public" changeability="changeable" isNavigable="true" xmi.id="2024" aggregation="none" type="1911" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="2065" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="2066" aggregation="none" type="1385" name="" />
        <UML:AssociationEnd isSpecification="false" relationship="true" visibility="public" changeability="changeable" isNavigable="true" xmi.id="2067" aggregation="none" type="1451" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="2100" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="2101" aggregation="none" type="1394" name="" />
        <UML:AssociationEnd isSpecification="false" relationship="true" visibility="public" changeability="changeable" isNavigable="true" xmi.id="2102" aggregation="none" type="1451" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="5907" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="5908" aggregation="none" type="1394" name="" />
        <UML:AssociationEnd isSpecification="false" relationship="true" visibility="public" changeability="changeable" isNavigable="true" xmi.id="5909" aggregation="none" type="5691" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="5946" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="5947" aggregation="none" type="5681" name="" />
        <UML:AssociationEnd isSpecification="false" relationship="true" visibility="public" changeability="changeable" isNavigable="true" xmi.id="5948" aggregation="none" type="5691" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="7465" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="7466" aggregation="composite" type="7253" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="7467" aggregation="none" type="37" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="7576" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="7577" aggregation="composite" type="37" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="7578" aggregation="none" type="9" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="7733" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="7734" aggregation="composite" type="9" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="7735" aggregation="none" type="37" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="8307" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="8308" aggregation="composite" type="9" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="8309" aggregation="none" type="37" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="10693" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="10694" aggregation="composite" type="10221" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="10695" aggregation="none" type="9" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="12136" client="3" name="" supplier="10221" />
      <UML:Dependency isSpecification="false" visibility="public" namespace="1" xmi.id="12178" client="3" name="" supplier="7253" />
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="13296" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="13297" aggregation="none" type="1385" name="" />
        <UML:AssociationEnd isSpecification="false" relationship="true" visibility="public" changeability="changeable" isNavigable="true" xmi.id="13298" aggregation="none" type="13256" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="13325" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="13326" aggregation="none" type="13229" name="" />
        <UML:AssociationEnd isSpecification="false" relationship="true" visibility="public" changeability="changeable" isNavigable="true" xmi.id="13327" aggregation="none" type="13256" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="14678" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="14679" aggregation="composite" type="14511" name="" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="14680" aggregation="none" type="10221" name="" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="94461" name="getTape()" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="false" xmi.id="94462" aggregation="none" type="91511" name="" multiplicity="1..*" />
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="94463" aggregation="none" type="9" name="" multiplicity="0..1" />
       </UML:Association.connection>
      </UML:Association>
      <UML:Association isSpecification="false" visibility="public" namespace="1" xmi.id="111557" name="" >
       <UML:Association.connection>
        <UML:AssociationEnd isSpecification="false" visibility="public" changeability="changeable" isNavigable="true" xmi.id="111558" aggregation="none" type="1385" name="" />
        <UML:AssociationEnd isSpecification="false" relationship="true" visibility="public" changeability="changeable" isNavigable="true" xmi.id="111559" aggregation="none" type="111161" name="" />
       </UML:Association.connection>
      </UML:Association>
     </UML:Namespace.ownedElement>
     <XMI.extension xmi.extender="umbrello" >
      <diagrams>
       <diagram snapgrid="0" showattsig="1" fillcolor="#ffffc0" linewidth="0" zoom="100" showgrid="0" showopsig="1" usefillcolor="1" snapx="10" canvaswidth="1195" snapy="10" showatts="1" xmi.id="1" documentation="" type="1" showops="1" showpackage="0" name="Диаграмма классов" localid="900000" showstereotype="0" showscope="1" snapcsgrid="0" font="DejaVu Sans,9,-1,5,25,0,0,0,0,0" linecolor="#ff0000" canvasheight="1425" >
        <widgets>
         <packagewidget usesdiagramfillcolour="0" width="536" usesdiagramusefillcolour="0" x="326" y="7" linewidth="none" fillcolour="#ffffc0" height="63" usefillcolor="1" isinstance="0" xmi.id="6" font="DejaVu Sans,9,-1,5,75,0,0,0,0,0" linecolor="#ff0000" />
         <packagewidget usesdiagramfillcolour="0" width="200" usesdiagramusefillcolour="0" x="870" y="1250" linewidth="none" fillcolour="#ffffc0" height="80" usefillcolor="1" isinstance="0" xmi.id="5" font="DejaVu Sans,9,-1,5,75,0,0,0,0,0" linecolor="#ff0000" />
         <packagewidget usesdiagramfillcolour="1" width="370" usesdiagramusefillcolour="1" x="77" y="1357" linewidth="none" fillcolour="none" height="64" usefillcolor="1" isinstance="0" xmi.id="3" font="DejaVu Sans,9,-1,5,75,0,0,0,0,0" linecolor="none" />
         <classwidget usesdiagramfillcolour="0" width="322" showattsigs="601" usesdiagramusefillcolour="0" x="433" y="187" showopsigs="601" linewidth="none" fillcolour="#ffffc0" height="358" usefillcolor="1" showpubliconly="0" showattributes="1" isinstance="0" xmi.id="9" showoperations="1" showpackage="0" showscope="1" font="DejaVu Sans,9,-1,5,75,0,0,0,0,0" linecolor="#ff0000" />
         <interfacewidget usesdiagramfillcolour="0" width="496" usesdiagramusefillcolour="0" x="341" y="599" drawascircle="0" showopsigs="601" linewidth="none" fillcolour="#ffffc0" height="718" usefillcolor="1" showpubliconly="0" isinstance="0" xmi.id="10" showoperations="1" showpackage="0" showscope="1" showstereotype="1" font="DejaVu Sans,9,-1,5,75,1,0,0,0,0" linecolor="#ff0000" />
         <interfacewidget usesdiagramfillcolour="0" width="277" usesdiagramusefillcolour="0" x="870" y="783" drawascircle="0" showopsigs="601" linewidth="none" fillcolour="#ffffc0" height="280" usefillcolor="1" showpubliconly="0" isinstance="0" xmi.id="12" showoperations="1" showpackage="0" showscope="1" showstereotype="1" font="DejaVu Sans,9,-1,5,75,1,0,0,0,0" linecolor="#ff0000" />
         <classwidget usesdiagramfillcolour="0" width="252" showattsigs="601" usesdiagramusefillcolour="0" x="34" y="437" showopsigs="601" linewidth="none" fillcolour="#ffffc0" height="528" usefillcolor="1" showpubliconly="0" showattributes="1" isinstance="0" xmi.id="37" showoperations="1" showpackage="0" showscope="1" font="DejaVu Sans,9,-1,5,75,0,0,0,0,0" linecolor="#ff0000" />
         <classwidget usesdiagramfillcolour="0" width="221" showattsigs="601" usesdiagramusefillcolour="0" x="23" y="5" showopsigs="601" linewidth="none" fillcolour="#ffffc0" height="320" usefillcolor="1" showpubliconly="0" showattributes="1" isinstance="0" xmi.id="7253" showoperations="1" showpackage="0" showscope="1" font="DejaVu Sans,9,-1,5,75,0,0,0,0,0" linecolor="#ff0000" />
         <classwidget usesdiagramfillcolour="0" width="221" showattsigs="601" usesdiagramusefillcolour="0" x="939" y="111" showopsigs="601" linewidth="none" fillcolour="#ffffc0" height="320" usefillcolor="1" showpubliconly="0" showattributes="1" isinstance="0" xmi.id="10221" showoperations="1" showpackage="0" showscope="1" font="DejaVu Sans,9,-1,5,75,0,0,0,0,0" linecolor="#ff0000" />
         <classwidget usesdiagramfillcolour="0" width="290" showattsigs="601" usesdiagramusefillcolour="0" x="901" y="10" showopsigs="601" linewidth="none" fillcolour="#ffffc0" height="56" usefillcolor="1" showpubliconly="0" showattributes="1" isinstance="0" xmi.id="14511" showoperations="1" showpackage="0" showscope="1" font="DejaVu Sans,9,-1,5,75,0,0,0,0,0" linecolor="#ff0000" />
         <boxwidget usesdiagramfillcolour="1" width="126" usesdiagramusefillcolour="1" x="716" y="1374" linewidth="none" fillcolour="none" height="30" usefillcolor="1" isinstance="0" xmi.id="16017" showstereotype="1" font="DejaVu Sans,9,-1,5,25,0,0,0,0,0" linecolor="#000000" />
         <floatingtext usesdiagramfillcolour="1" width="122" usesdiagramusefillcolour="1" x="720" y="1379" linewidth="none" posttext="" role="700" fillcolour="none" height="20" usefillcolor="1" pretext="" isinstance="0" xmi.id="16031" showstereotype="1" text="LibUniTape v.1.3.2" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="none" />
         <classwidget usesdiagramfillcolour="0" width="296" showattsigs="601" usesdiagramusefillcolour="0" x="33" y="1048" showopsigs="601" linewidth="none" fillcolour="#ffffc0" height="266" usefillcolor="1" showpubliconly="0" showattributes="1" isinstance="0" xmi.id="91511" showoperations="1" showpackage="0" showscope="1" font="DejaVu Sans,9,-1,5,75,0,0,0,0,0" linecolor="#ff0000" />
        </widgets>
        <messages/>
        <associations>
         <assocwidget totalcounta="5" indexa="2" visibilityB="200" totalcountb="2" indexb="1" linewidth="none" widgetbid="9" widgetaid="6" roleBdoc="" documentation="" roleAdoc="" type="509" changeabilityA="900" changeabilityB="900" linecolor="none" visibilityA="200" >
          <linepath>
           <startpoint startx="626" starty="70" />
           <endpoint endx="626" endy="187" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="3" indexa="2" totalcountb="2" indexb="1" linewidth="none" widgetbid="12" widgetaid="9" xmi.id="22" linecolor="none" >
          <linepath>
           <startpoint startx="755" starty="488" />
           <endpoint endx="902" endy="783" />
           <point x="902" y="488" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="10" widgetaid="9" xmi.id="25" linecolor="none" >
          <linepath>
           <startpoint startx="570" starty="455" />
           <endpoint endx="570" endy="599" />
           <point x="570" y="455" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="10" widgetaid="3" xmi.id="28" linecolor="none" >
          <linepath>
           <startpoint startx="404" starty="1357" />
           <endpoint endx="404" endy="1317" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="12" widgetaid="5" xmi.id="31" linecolor="none" >
          <linepath>
           <startpoint startx="906" starty="1250" />
           <endpoint endx="906" endy="1063" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="5" indexa="1" visibilityB="200" totalcountb="3" indexb="1" linewidth="none" widgetbid="37" widgetaid="6" roleBdoc="" documentation="" roleAdoc="" type="509" changeabilityA="900" changeabilityB="900" linecolor="none" visibilityA="200" >
          <linepath>
           <startpoint startx="389" starty="70" />
           <endpoint endx="286" endy="455" />
           <point x="389" y="455" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="3" indexa="2" visibilityB="200" totalcountb="3" indexb="1" linewidth="none" widgetbid="9" widgetaid="10221" xmi.id="10748" type="510" changeabilityA="900" changeabilityB="900" linecolor="none" visibilityA="200" >
          <linepath>
           <startpoint startx="939" starty="342" />
           <endpoint endx="755" endy="342" />
          </linepath>
          <floatingtext usesdiagramfillcolour="1" width="60" usesdiagramusefillcolour="1" x="804" y="353" linewidth="none" posttext="" role="710" fillcolour="none" height="20" usefillcolor="1" pretext="+" isinstance="0" xmi.id="118298" showstereotype="1" text="_tapes" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="none" />
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" visibilityB="200" totalcountb="2" indexb="1" linewidth="none" widgetbid="37" widgetaid="7253" xmi.id="11143" type="510" changeabilityA="900" changeabilityB="900" linecolor="none" visibilityA="200" >
          <linepath>
           <startpoint startx="204" starty="325" />
           <endpoint endx="204" endy="437" />
          </linepath>
          <floatingtext usesdiagramfillcolour="1" width="49" usesdiagramusefillcolour="1" x="151" y="392" linewidth="none" posttext="" role="710" fillcolour="none" height="20" usefillcolor="1" pretext="+" isinstance="0" xmi.id="118299" text="_files" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="none" />
         </assocwidget>
         <assocwidget totalcounta="5" indexa="3" visibilityB="200" totalcountb="3" indexb="1" linewidth="none" widgetbid="10221" widgetaid="6" roleBdoc="" documentation="" roleAdoc="" type="509" changeabilityA="900" changeabilityB="900" linecolor="none" visibilityA="200" >
          <linepath>
           <startpoint startx="757" starty="70" />
           <endpoint endx="939" endy="136" />
           <point x="757" y="136" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="5" indexa="4" visibilityB="200" totalcountb="2" indexb="1" linewidth="none" widgetbid="7253" widgetaid="6" roleBdoc="" documentation="" roleAdoc="" type="509" changeabilityA="900" changeabilityB="900" linecolor="none" visibilityA="200" >
          <linepath>
           <startpoint startx="329" starty="70" />
           <endpoint endx="244" endy="160" />
           <point x="329" y="160" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="10221" widgetaid="3" xmi.id="12136" linecolor="none" >
          <linepath>
           <startpoint startx="447" starty="1390" />
           <endpoint endx="1044" endy="431" />
           <point x="654" y="1390" />
           <point x="640" y="587" />
           <point x="1044" y="587" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="7253" widgetaid="3" xmi.id="12178" linecolor="none" >
          <linepath>
           <startpoint startx="77" starty="1393" />
           <endpoint endx="23" endy="182" />
           <point x="3" y="1393" />
           <point x="4" y="182" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="10221" widgetaid="14511" xmi.id="14678" linecolor="none" >
          <linepath>
           <startpoint startx="1059" starty="66" />
           <endpoint endx="1059" endy="111" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="3" indexb="1" linewidth="none" widgetbid="9" widgetaid="91511" xmi.id="94461" linecolor="none" >
          <linepath>
           <startpoint startx="313" starty="1048" />
           <endpoint endx="433" endy="523" />
           <point x="313" y="523" />
          </linepath>
          <floatingtext usesdiagramfillcolour="1" width="67" usesdiagramusefillcolour="1" x="373" y="523" linewidth="none" posttext="" role="703" fillcolour="none" height="20" usefillcolor="1" pretext="" isinstance="0" xmi.id="118300" showstereotype="1" text="getTape()" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="none" />
          <floatingtext usesdiagramfillcolour="1" width="32" usesdiagramusefillcolour="1" x="276" y="1013" linewidth="none" posttext="" role="701" fillcolour="none" height="32" usefillcolor="1" pretext="" isinstance="0" xmi.id="118301" showstereotype="1" text="1..*" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="none" />
          <floatingtext usesdiagramfillcolour="1" width="32" usesdiagramusefillcolour="1" x="389" y="494" linewidth="none" posttext="" role="702" fillcolour="none" height="32" usefillcolor="1" pretext="" isinstance="0" xmi.id="118302" text="0..1" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="none" />
         </assocwidget>
         <assocwidget totalcounta="3" indexa="2" visibilityB="200" totalcountb="3" indexb="2" linewidth="none" widgetbid="37" widgetaid="9" xmi.id="546" type="510" changeabilityA="900" changeabilityB="900" linecolor="none" visibilityA="200" >
          <linepath>
           <startpoint startx="433" starty="481" />
           <endpoint endx="286" endy="481" />
          </linepath>
          <floatingtext usesdiagramfillcolour="1" width="50" usesdiagramusefillcolour="1" x="318" y="479" linewidth="none" posttext="" role="710" fillcolour="none" height="20" usefillcolor="1" pretext="+" isinstance="0" xmi.id="118303" showstereotype="1" text="_Files" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="none" />
         </assocwidget>
        </associations>
       </diagram>
       <diagram snapgrid="0" showattsig="1" fillcolor="#ffffc0" linewidth="0" zoom="100" showgrid="0" showopsig="1" usefillcolor="1" snapx="10" canvaswidth="982" snapy="10" showatts="1" xmi.id="101467" documentation="" type="3" showops="1" showpackage="0" name="Диаграмма последовательности для компонента" localid="899994" showstereotype="0" showscope="1" snapcsgrid="0" font="DejaVu Sans,9,-1,5,25,0,0,0,0,0" linecolor="#ff0000" canvasheight="827" >
        <widgets>
         <objectwidget usesdiagramfillcolour="0" width="92" usesdiagramusefillcolour="1" x="113" y="48" instancename="" linewidth="none" fillcolour="#ffffc0" height="26" usefillcolor="1" isinstance="0" xmi.id="101580" decon="0" localid="899999" multipleinstance="0" drawasactor="0" font="DejaVu Sans,9,-1,5,50,0,1,0,0,0" linecolor="#ff0000" />
         <objectwidget usesdiagramfillcolour="0" width="50" usesdiagramusefillcolour="1" x="366" y="48" instancename="" linewidth="none" fillcolour="#ffffc0" height="26" usefillcolor="1" isinstance="0" xmi.id="91511" decon="0" localid="899998" multipleinstance="0" drawasactor="0" font="DejaVu Sans,9,-1,5,50,0,1,0,0,0" linecolor="#ff0000" />
         <objectwidget usesdiagramfillcolour="0" width="71" usesdiagramusefillcolour="1" x="458" y="316" instancename="" linewidth="none" fillcolour="#ffffc0" height="26" usefillcolor="1" isinstance="0" xmi.id="9" decon="0" localid="899995" multipleinstance="0" drawasactor="0" font="DejaVu Sans,9,-1,5,50,0,1,0,0,0" linecolor="#ff0000" />
         <objectwidget usesdiagramfillcolour="0" width="91" usesdiagramusefillcolour="1" x="656" y="403" instancename="" linewidth="none" fillcolour="#ffffc0" height="26" usefillcolor="1" isinstance="0" xmi.id="37" decon="0" localid="899994" multipleinstance="0" drawasactor="0" font="DejaVu Sans,9,-1,5,50,0,1,0,0,0" linecolor="#ff0000" />
         <boxwidget usesdiagramfillcolour="1" width="123" usesdiagramusefillcolour="1" x="20" y="470" linewidth="none" fillcolour="none" height="35" usefillcolor="1" isinstance="0" xmi.id="114254" font="DejaVu Sans,9,-1,5,25,0,0,0,0,0" linecolor="#000000" />
         <floatingtext usesdiagramfillcolour="1" width="111" usesdiagramusefillcolour="1" x="25" y="480" linewidth="none" posttext="" role="700" fillcolour="none" height="20" usefillcolor="1" pretext="" isinstance="0" xmi.id="114311" showstereotype="1" text="LibUniTape 1.3.2" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="none" />
        </widgets>
        <messages>
         <messagewidget usesdiagramfillcolour="1" width="240" usesdiagramusefillcolour="1" x="159" y="124" operation="93941" linewidth="none" widgetbid="899998" fillcolour="none" height="79" usefillcolor="1" seqnum="" textid="102544" widgetaid="899999" isinstance="0" xmi.id="102543" sequencemessagetype="1000" showstereotype="1" font="DejaVu Sans,9,-1,5,25,0,0,0,0,0" linecolor="none" >
          <floatingtext usesdiagramfillcolour="1" width="119" usesdiagramusefillcolour="1" x="167" y="104" linewidth="none" posttext="" role="704" fillcolour="none" height="20" usefillcolor="1" pretext="" isinstance="0" xmi.id="102544" showstereotype="1" text=": Init(alias : string)" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="none" />
         </messagewidget>
         <messagewidget usesdiagramfillcolour="1" width="50" usesdiagramusefillcolour="1" x="389" y="147" operation="94115" linewidth="none" widgetbid="899998" fillcolour="none" height="32" usefillcolor="1" seqnum="" textid="104652" widgetaid="899998" isinstance="0" xmi.id="104651" sequencemessagetype="1000" showstereotype="1" font="DejaVu Sans,9,-1,5,25,0,0,0,0,0" linecolor="none" >
          <floatingtext usesdiagramfillcolour="1" width="135" usesdiagramusefillcolour="1" x="394" y="127" linewidth="none" posttext="" role="705" fillcolour="none" height="20" usefillcolor="1" pretext="" isinstance="0" xmi.id="104652" showstereotype="1" text=": _Read(alias : string)" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="none" />
         </messagewidget>
         <messagewidget usesdiagramfillcolour="1" width="240" usesdiagramusefillcolour="1" x="159" y="239" operation="92561" linewidth="none" widgetbid="899998" fillcolour="none" height="54" usefillcolor="1" seqnum="" textid="106656" widgetaid="899999" isinstance="0" xmi.id="106655" sequencemessagetype="1000" showstereotype="1" font="DejaVu Sans,9,-1,5,25,0,0,0,0,0" linecolor="none" >
          <floatingtext usesdiagramfillcolour="1" width="223" usesdiagramusefillcolour="1" x="164" y="219" linewidth="none" posttext="" role="704" fillcolour="none" height="20" usefillcolor="1" pretext="" isinstance="0" xmi.id="106656" showstereotype="1" text=": getTapeId() : int" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="none" />
         </messagewidget>
         <messagewidget usesdiagramfillcolour="1" width="50" usesdiagramusefillcolour="1" x="491" y="360" operation="116" linewidth="none" widgetbid="899995" fillcolour="none" height="32" usefillcolor="1" seqnum="" textid="107514" widgetaid="899995" isinstance="0" xmi.id="107513" sequencemessagetype="1000" showstereotype="1" font="DejaVu Sans,9,-1,5,25,0,0,0,0,0" linecolor="none" >
          <floatingtext usesdiagramfillcolour="1" width="62" usesdiagramusefillcolour="1" x="496" y="340" linewidth="none" posttext="" role="705" fillcolour="none" height="20" usefillcolor="1" pretext="" isinstance="0" xmi.id="107514" showstereotype="1" text=": _Read()" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="none" />
         </messagewidget>
         <messagewidget usesdiagramfillcolour="1" width="342" usesdiagramusefillcolour="1" x="159" y="401" operation="58" linewidth="none" widgetbid="899995" fillcolour="none" height="32" usefillcolor="1" seqnum="" textid="108487" widgetaid="899999" isinstance="0" xmi.id="108486" sequencemessagetype="1000" showstereotype="1" font="DejaVu Sans,9,-1,5,25,0,0,0,0,0" linecolor="none" >
          <floatingtext usesdiagramfillcolour="1" width="173" usesdiagramusefillcolour="1" x="164" y="381" linewidth="none" posttext="" role="704" fillcolour="none" height="20" usefillcolor="1" pretext="" isinstance="0" xmi.id="108487" showstereotype="1" text=": 58" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="none" />
         </messagewidget>
         <messagewidget usesdiagramfillcolour="1" width="161" usesdiagramusefillcolour="1" x="494" y="416" operation="получить файл" linewidth="none" widgetbid="899994" fillcolour="none" height="8" usefillcolor="1" seqnum="" textid="108660" widgetaid="899995" isinstance="0" xmi.id="108659" sequencemessagetype="1002" font="DejaVu Sans,9,-1,5,25,0,0,0,0,0" linecolor="none" >
          <floatingtext usesdiagramfillcolour="1" width="112" usesdiagramusefillcolour="1" x="526" y="396" linewidth="none" posttext="" role="704" fillcolour="none" height="20" usefillcolor="1" pretext="" isinstance="0" xmi.id="108660" showstereotype="1" text=": получить файл" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="none" />
         </messagewidget>
         <messagewidget usesdiagramfillcolour="1" width="297" usesdiagramusefillcolour="1" x="160" y="329" operation="110" linewidth="none" widgetbid="899995" fillcolour="none" height="8" usefillcolor="1" seqnum="" textid="116561" widgetaid="899999" isinstance="0" xmi.id="116560" sequencemessagetype="1002" showstereotype="1" font="DejaVu Sans,9,-1,5,25,0,0,0,0,0" linecolor="none" >
          <floatingtext usesdiagramfillcolour="1" width="277" usesdiagramusefillcolour="1" x="167" y="309" linewidth="none" posttext="" role="704" fillcolour="none" height="20" usefillcolor="1" pretext="" isinstance="0" xmi.id="116561" showstereotype="1" text=": Init(id : int, phoneNumber : string = NULL)" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="none" />
         </messagewidget>
        </messages>
        <associations/>
       </diagram>
       <diagram snapgrid="0" showattsig="1" fillcolor="#ffffc0" linewidth="0" zoom="100" showgrid="0" showopsig="1" usefillcolor="1" snapx="10" canvaswidth="982" snapy="10" showatts="1" xmi.id="110992" documentation="" type="3" showops="1" showpackage="0" name="Диаграмма последовательности для интерфейса" localid="900000" showstereotype="0" showscope="1" snapcsgrid="0" font="DejaVu Sans,9,-1,5,25,0,0,0,0,0" linecolor="#ff0000" canvasheight="827" >
        <widgets/>
        <messages/>
        <associations/>
       </diagram>
      </diagrams>
     </XMI.extension>
    </UML:Model>
    <UML:Model stereotype="2" isSpecification="false" isLeaf="false" visibility="public" namespace="m1" xmi.id="3" isRoot="false" isAbstract="false" name="Use Case View" >
     <UML:Namespace.ownedElement/>
    </UML:Model>
    <UML:Model stereotype="2" isSpecification="false" isLeaf="false" visibility="public" namespace="m1" xmi.id="4" isRoot="false" isAbstract="false" name="Component View" >
     <UML:Namespace.ownedElement/>
    </UML:Model>
    <UML:Model stereotype="2" isSpecification="false" isLeaf="false" visibility="public" namespace="m1" xmi.id="5" isRoot="false" isAbstract="false" name="Deployment View" >
     <UML:Namespace.ownedElement/>
    </UML:Model>
    <UML:Model stereotype="2" isSpecification="false" isLeaf="false" visibility="public" namespace="m1" xmi.id="6" isRoot="false" isAbstract="false" name="Entity Relationship Model" >
     <UML:Namespace.ownedElement>
      <UML:Entity stereotype="6608" isSpecification="false" isLeaf="false" visibility="public" namespace="6" xmi.id="1385" isRoot="false" isAbstract="false" name="tapes" >
       <UML:EntityAttribute attributes="unsigned" values="" dbindex_type="1101" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1385" auto_increment="1" xmi.id="1532" isRoot="false" initialValue="" type="1570" isAbstract="false" name="id" />
       <UML:EntityAttribute attributes="" values="250" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1385" auto_increment="0" xmi.id="1767" isRoot="false" initialValue="" type="1533" isAbstract="false" name="name" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1385" auto_increment="0" xmi.id="1835" isRoot="false" initialValue="" type="1615" isAbstract="false" name="created" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1385" auto_increment="0" xmi.id="5843" isRoot="false" initialValue="" type="1615" isAbstract="false" name="modified" />
       <UML:EntityAttribute attributes="" values="'yes','no'" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1385" auto_increment="0" xmi.id="1808" isRoot="false" initialValue="" type="1732" isAbstract="false" name="shuffle" />
       <UML:EntityAttribute attributes="" values="'yes','no'" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1385" auto_increment="0" xmi.id="1817" isRoot="false" initialValue="" type="1732" isAbstract="false" name="memory" />
       <UML:EntityAttribute attributes="" values="'yes','no'" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1385" auto_increment="0" xmi.id="1826" isRoot="false" initialValue="" type="1732" isAbstract="false" name="loop" />
       <UML:EntityAttribute attributes="" values="'id','date','rating'" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1385" auto_increment="0" xmi.id="1844" isRoot="false" initialValue="" type="1732" isAbstract="false" name="sort_by" />
       <UML:EntityAttribute attributes="" values="'asc','desc'" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1385" auto_increment="0" xmi.id="1861" isRoot="false" initialValue="" type="1732" isAbstract="false" name="sort_order" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1385" auto_increment="0" xmi.id="1870" isRoot="false" initialValue="" type="1705" isAbstract="false" name="comment" />
       <UML:EntityAttribute attributes="" comment="type - тип ленты (новая/старая)" values="'yes','no'" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1385" auto_increment="0" xmi.id="2592" isRoot="false" initialValue="" type="1732" isAbstract="false" name="deprecated" />
       <UML:EntityAttribute attributes="" values="'yes','no'" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="private" namespace="1385" auto_increment="0" xmi.id="13629" isRoot="false" initialValue="" type="1732" isAbstract="false" name="deleted" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="private" namespace="1385" auto_increment="0" xmi.id="16518" isRoot="false" initialValue="" type="1533" isAbstract="false" name="content_path" />
      </UML:Entity>
      <UML:Entity stereotype="6608" isSpecification="false" isLeaf="false" visibility="public" namespace="6" xmi.id="1394" isRoot="false" isAbstract="false" name="files" >
       <UML:EntityAttribute attributes="unsigned" values="" dbindex_type="1101" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1394" auto_increment="1" xmi.id="2135" isRoot="false" initialValue="" type="1570" isAbstract="false" name="id" />
       <UML:EntityAttribute attributes="" values="250" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1394" auto_increment="0" xmi.id="2144" isRoot="false" initialValue="" type="1533" isAbstract="false" name="header_file" />
       <UML:EntityAttribute attributes="" values="250" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1394" auto_increment="0" xmi.id="2161" isRoot="false" initialValue="" type="1533" isAbstract="false" name="demo_file" />
       <UML:EntityAttribute attributes="" values="250" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1394" auto_increment="0" xmi.id="2170" isRoot="false" initialValue="" type="1533" isAbstract="false" name="target_voice" />
       <UML:EntityAttribute attributes="" values="250" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1394" auto_increment="0" xmi.id="2179" isRoot="false" initialValue="" type="1533" isAbstract="false" name="target_mono" />
       <UML:EntityAttribute attributes="" values="250" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1394" auto_increment="0" xmi.id="2196" isRoot="false" initialValue="" type="1533" isAbstract="false" name="target_poly" />
       <UML:EntityAttribute attributes="" values="250" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1394" auto_increment="0" xmi.id="2205" isRoot="false" initialValue="" type="1533" isAbstract="false" name="target_mp3" />
       <UML:EntityAttribute attributes="" values="250" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1394" auto_increment="0" xmi.id="2214" isRoot="false" initialValue="" type="1533" isAbstract="false" name="target_sms" />
       <UML:EntityAttribute attributes="" values="'yes','no'" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1394" auto_increment="0" xmi.id="2336" isRoot="false" initialValue="" type="1732" isAbstract="false" name="deleted" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1394" auto_increment="0" xmi.id="2609" isRoot="false" initialValue="" type="1705" isAbstract="false" name="comment" />
      </UML:Entity>
      <UML:Entity stereotype="6608" isSpecification="false" isLeaf="false" visibility="public" namespace="6" xmi.id="1451" isRoot="false" isAbstract="false" name="tf_links" >
       <UML:EntityAttribute attributes="unsigned" values="" dbindex_type="1101" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1451" auto_increment="1" xmi.id="1920" isRoot="false" initialValue="" type="1570" isAbstract="false" name="id" />
       <UML:EntityAttribute attributes="unsigned" values="" dbindex_type="1102" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1451" auto_increment="0" xmi.id="1929" isRoot="false" initialValue="" type="1570" isAbstract="false" name="tape_id" />
       <UML:EntityAttribute attributes="unsigned" values="" dbindex_type="1102" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1451" auto_increment="0" xmi.id="1946" isRoot="false" initialValue="" type="1570" isAbstract="false" name="file_id" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1451" auto_increment="0" xmi.id="2247" isRoot="false" initialValue="" type="1615" isAbstract="false" name="date" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1451" auto_increment="0" xmi.id="2517" isRoot="false" initialValue="" type="1570" isAbstract="false" name="rating" />
       <UML:EntityAttribute attributes="" values="'yes','no'" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1451" auto_increment="0" xmi.id="5995" isRoot="false" initialValue="" type="1732" isAbstract="false" name="disabled" />
      </UML:Entity>
      <UML:Entity stereotype="6608" isSpecification="false" isLeaf="false" visibility="public" namespace="6" xmi.id="1911" isRoot="false" isAbstract="false" name="marks" >
       <UML:EntityAttribute attributes="unsigned" values="" dbindex_type="1101" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1911" auto_increment="1" xmi.id="1971" isRoot="false" initialValue="" type="1570" isAbstract="false" name="id" />
       <UML:EntityAttribute attributes="unsigned" values="" dbindex_type="1102" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1911" auto_increment="0" xmi.id="1980" isRoot="false" initialValue="" type="1570" isAbstract="false" name="link_id" />
       <UML:EntityAttribute attributes="" values="20" dbindex_type="1102" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="1911" auto_increment="0" xmi.id="1989" isRoot="false" initialValue="" type="1533" isAbstract="false" name="phone_number" />
      </UML:Entity>
      <UML:Entity stereotype="6608" isSpecification="false" isLeaf="false" visibility="public" namespace="6" xmi.id="5681" isRoot="false" isAbstract="false" name="file_groups" >
       <UML:EntityAttribute attributes="unsigned" values="" dbindex_type="1101" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="5681" auto_increment="1" xmi.id="5701" isRoot="false" initialValue="" type="1570" isAbstract="false" name="id" />
       <UML:EntityAttribute attributes="" values="250" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="5681" auto_increment="0" xmi.id="5711" isRoot="false" initialValue="" type="1533" isAbstract="false" name="name" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="5681" auto_increment="0" xmi.id="5824" isRoot="false" initialValue="" type="1615" isAbstract="false" name="created" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="5681" auto_increment="0" xmi.id="5976" isRoot="false" initialValue="" type="1615" isAbstract="false" name="modified" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="5681" auto_increment="0" xmi.id="5721" isRoot="false" initialValue="" type="1705" isAbstract="false" name="comment" />
      </UML:Entity>
      <UML:Entity stereotype="6608" isSpecification="false" isLeaf="false" visibility="public" namespace="6" xmi.id="5691" isRoot="false" isAbstract="false" name="gf_links" >
       <UML:EntityAttribute attributes="unsigned" values="" dbindex_type="1101" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="5691" auto_increment="1" xmi.id="5740" isRoot="false" initialValue="" type="1570" isAbstract="false" name="id" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1102" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="5691" auto_increment="0" xmi.id="5750" isRoot="false" initialValue="" type="1570" isAbstract="false" name="group_id" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1102" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="5691" auto_increment="0" xmi.id="5769" isRoot="false" initialValue="" type="1570" isAbstract="false" name="file_id" />
      </UML:Entity>
      <UML:Entity isSpecification="false" isLeaf="false" visibility="public" namespace="6" xmi.id="13229" isRoot="false" isAbstract="false" name="tape_groups" >
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="13229" auto_increment="0" xmi.id="14389" isRoot="false" initialValue="" type="39" isAbstract="false" name="id" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="13229" auto_increment="0" xmi.id="14403" isRoot="false" initialValue="" type="39" isAbstract="false" name="name" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="13229" auto_increment="0" xmi.id="14431" isRoot="false" initialValue="" type="39" isAbstract="false" name="created" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="13229" auto_increment="0" xmi.id="14445" isRoot="false" initialValue="" type="39" isAbstract="false" name="modified" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="13229" auto_increment="0" xmi.id="14417" isRoot="false" initialValue="" type="39" isAbstract="false" name="comment" />
      </UML:Entity>
      <UML:Entity isSpecification="false" isLeaf="false" visibility="public" namespace="6" xmi.id="13256" isRoot="false" isAbstract="false" name="gt_links" >
       <UML:EntityAttribute attributes="" values="" dbindex_type="1101" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="13256" auto_increment="0" xmi.id="14334" isRoot="false" initialValue="" type="39" isAbstract="false" name="id" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="13256" auto_increment="0" xmi.id="14348" isRoot="false" initialValue="" type="1570" isAbstract="false" name="group_id" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="public" namespace="13256" auto_increment="0" xmi.id="14362" isRoot="false" initialValue="" type="39" isAbstract="false" name="tape_id" />
      </UML:Entity>
      <UML:Entity isSpecification="false" isLeaf="false" visibility="public" namespace="6" xmi.id="111161" isRoot="false" isAbstract="false" name="aliases" >
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="private" namespace="111161" auto_increment="0" xmi.id="111218" isRoot="false" initialValue="" type="39" isAbstract="false" name="id" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="private" namespace="111161" auto_increment="0" xmi.id="111275" isRoot="false" initialValue="" type="39" isAbstract="false" name="name" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="private" namespace="111161" auto_increment="0" xmi.id="111332" isRoot="false" initialValue="" type="39" isAbstract="false" name="comment" />
       <UML:EntityAttribute attributes="" values="" dbindex_type="1100" isSpecification="false" allow_null="0" isLeaf="false" visibility="private" namespace="111161" auto_increment="0" xmi.id="114984" isRoot="false" initialValue="" type="39" isAbstract="false" name="tape_id" />
      </UML:Entity>
     </UML:Namespace.ownedElement>
     <XMI.extension xmi.extender="umbrello" >
      <diagrams>
       <diagram snapgrid="0" showattsig="1" fillcolor="#ffffc0" linewidth="0" zoom="100" showgrid="0" showopsig="1" usefillcolor="1" snapx="10" canvaswidth="982" snapy="10" showatts="1" xmi.id="1376" documentation="" type="9" showops="1" showpackage="0" name="Диаграмма отношений сущностей" localid="900000" showstereotype="0" showscope="1" snapcsgrid="0" font="DejaVu Sans,9,-1,5,25,0,0,0,0,0" linecolor="#ff0000" canvasheight="827" >
        <widgets>
         <entitywidget usesdiagramfillcolour="0" width="94" usesdiagramusefillcolour="0" x="42" y="13" linewidth="none" fillcolour="#ffffc0" height="256" usefillcolor="1" isinstance="0" xmi.id="1385" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="#ff0000" />
         <entitywidget usesdiagramfillcolour="0" width="90" usesdiagramusefillcolour="0" x="585" y="45" linewidth="none" fillcolour="#ffffc0" height="192" usefillcolor="1" isinstance="0" xmi.id="1394" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="#ff0000" />
         <entitywidget usesdiagramfillcolour="0" width="68" usesdiagramusefillcolour="0" x="332" y="69" linewidth="none" fillcolour="#ffffc0" height="144" usefillcolor="1" isinstance="0" xmi.id="1451" showstereotype="1" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="#ff0000" />
         <entitywidget usesdiagramfillcolour="0" width="104" usesdiagramusefillcolour="0" x="314" y="318" linewidth="none" fillcolour="#ffffc0" height="80" usefillcolor="1" isinstance="0" xmi.id="1911" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="#ff0000" />
         <entitywidget usesdiagramfillcolour="0" width="89" usesdiagramusefillcolour="0" x="587" y="543" linewidth="none" fillcolour="#ffffc0" height="112" usefillcolor="1" isinstance="0" xmi.id="5681" showstereotype="1" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="#ff0000" />
         <entitywidget usesdiagramfillcolour="0" width="66" usesdiagramusefillcolour="0" x="598" y="346" linewidth="none" fillcolour="#ffffc0" height="80" usefillcolor="1" isinstance="0" xmi.id="5691" showstereotype="1" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="#ff0000" />
         <entitywidget usesdiagramfillcolour="0" width="99" usesdiagramusefillcolour="0" x="41" y="490" linewidth="none" fillcolour="#ffffc0" height="96" usefillcolor="1" isinstance="0" xmi.id="13229" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="#ff0000" />
         <entitywidget usesdiagramfillcolour="0" width="67" usesdiagramusefillcolour="0" x="56" y="348" linewidth="none" fillcolour="#ffffc0" height="64" usefillcolor="1" isinstance="0" xmi.id="13256" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="#ff0000" />
         <entitywidget usesdiagramfillcolour="0" width="68" usesdiagramusefillcolour="0" x="221" y="187" linewidth="none" fillcolour="#ffffc0" height="80" usefillcolor="1" isinstance="0" xmi.id="111161" showstereotype="1" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="#ff0000" />
         <boxwidget usesdiagramfillcolour="1" width="116" usesdiagramusefillcolour="1" x="45" y="624" linewidth="none" fillcolour="none" height="37" usefillcolor="1" isinstance="0" xmi.id="112736" font="DejaVu Sans,9,-1,5,25,0,0,0,0,0" linecolor="#000000" />
         <floatingtext usesdiagramfillcolour="1" width="111" usesdiagramusefillcolour="1" x="47" y="635" linewidth="none" posttext="" role="700" fillcolour="none" height="20" usefillcolor="1" pretext="" isinstance="0" xmi.id="112793" showstereotype="1" text="LibUniTape 1.3.2" font="DejaVu Sans,9,-1,5,50,0,0,0,0,0" linecolor="none" />
        </widgets>
        <messages/>
        <associations>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="1911" widgetaid="1451" xmi.id="2022" linecolor="none" >
          <linepath>
           <startpoint startx="366" starty="213" />
           <endpoint endx="366" endy="318" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="3" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="1451" widgetaid="1385" xmi.id="2065" linecolor="none" >
          <linepath>
           <startpoint startx="136" starty="141" />
           <endpoint endx="332" endy="141" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="1451" widgetaid="1394" xmi.id="2100" linecolor="none" >
          <linepath>
           <startpoint startx="585" starty="141" />
           <endpoint endx="400" endy="141" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="5691" widgetaid="1394" xmi.id="5907" linecolor="none" >
          <linepath>
           <startpoint startx="630" starty="237" />
           <endpoint endx="630" endy="346" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="5691" widgetaid="5681" xmi.id="5946" linecolor="none" >
          <linepath>
           <startpoint startx="630" starty="543" />
           <endpoint endx="630" endy="426" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="13256" widgetaid="1385" xmi.id="13296" linecolor="none" >
          <linepath>
           <startpoint startx="89" starty="269" />
           <endpoint endx="89" endy="348" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="2" indexa="1" totalcountb="2" indexb="1" linewidth="none" widgetbid="13256" widgetaid="13229" xmi.id="13325" linecolor="none" >
          <linepath>
           <startpoint startx="89" starty="490" />
           <endpoint endx="89" endy="412" />
          </linepath>
         </assocwidget>
         <assocwidget totalcounta="3" indexa="2" totalcountb="2" indexb="1" linewidth="none" widgetbid="111161" widgetaid="1385" xmi.id="111557" linecolor="none" >
          <linepath>
           <startpoint startx="136" starty="225" />
           <endpoint endx="221" endy="225" />
          </linepath>
         </assocwidget>
        </associations>
       </diagram>
      </diagrams>
     </XMI.extension>
    </UML:Model>
   </UML:Namespace.ownedElement>
  </UML:Model>
 </XMI.content>
 <XMI.extensions xmi.extender="umbrello" >
  <docsettings viewid="1" documentation="" uniqueid="118325" />
  <listview>
   <listitem open="1" type="800" label="Представления" >
    <listitem open="1" type="801" id="1" >
     <listitem open="0" type="813" id="91511" >
      <listitem open="0" type="814" id="91812" />
      <listitem open="0" type="814" id="91870" />
      <listitem open="0" type="814" id="91928" />
      <listitem open="0" type="814" id="92101" />
      <listitem open="0" type="815" id="93941" />
      <listitem open="0" type="815" id="92387" />
      <listitem open="0" type="815" id="92445" />
      <listitem open="0" type="815" id="92503" />
      <listitem open="0" type="815" id="92561" />
      <listitem open="0" type="815" id="93137" />
      <listitem open="0" type="815" id="92619" />
      <listitem open="0" type="815" id="93195" />
      <listitem open="0" type="815" id="93022" />
      <listitem open="0" type="815" id="93826" />
      <listitem open="0" type="815" id="94115" />
     </listitem>
     <listitem open="1" type="813" id="101580" />
     <listitem open="0" type="813" id="14511" >
      <listitem open="0" type="815" id="14538" />
     </listitem>
     <listitem open="1" type="813" id="561" />
     <listitem open="1" type="813" id="426" />
     <listitem open="1" type="813" id="39" />
     <listitem open="1" type="813" id="182" />
     <listitem open="0" type="818" id="6" >
      <listitem open="0" type="813" id="7253" >
       <listitem open="0" type="814" id="7318" />
       <listitem open="0" type="814" id="7331" />
       <listitem open="0" type="814" id="7344" />
       <listitem open="0" type="814" id="11143" />
       <listitem open="0" type="814" id="42461" />
       <listitem open="0" type="814" id="42707" />
       <listitem open="0" type="815" id="9099" />
       <listitem open="0" type="815" id="46943" />
       <listitem open="0" type="815" id="8484" />
       <listitem open="0" type="815" id="7279" />
       <listitem open="0" type="815" id="7305" />
       <listitem open="0" type="815" id="56686" />
       <listitem open="0" type="815" id="56890" />
       <listitem open="0" type="815" id="57151" />
       <listitem open="0" type="815" id="59289" />
       <listitem open="0" type="815" id="59505" />
       <listitem open="0" type="815" id="57795" />
       <listitem open="0" type="815" id="60675" />
       <listitem open="0" type="815" id="7292" />
      </listitem>
      <listitem open="0" type="813" id="10221" >
       <listitem open="0" type="814" id="10244" />
       <listitem open="0" type="814" id="10256" />
       <listitem open="0" type="814" id="10268" />
       <listitem open="0" type="814" id="10748" />
       <listitem open="0" type="814" id="28716" />
       <listitem open="0" type="814" id="28892" />
       <listitem open="0" type="815" id="10304" />
       <listitem open="0" type="815" id="10280" />
       <listitem open="0" type="815" id="10492" />
       <listitem open="0" type="815" id="10554" />
       <listitem open="0" type="815" id="10567" />
       <listitem open="0" type="815" id="32883" />
       <listitem open="0" type="815" id="33063" />
       <listitem open="0" type="815" id="33294" />
       <listitem open="0" type="815" id="33530" />
       <listitem open="0" type="815" id="33771" />
       <listitem open="0" type="815" id="34957" />
       <listitem open="0" type="815" id="35199" />
       <listitem open="0" type="815" id="66246" />
      </listitem>
      <listitem open="0" type="813" id="9" >
       <listitem open="0" type="814" id="94" />
       <listitem open="0" type="814" id="195" />
       <listitem open="0" type="814" id="445" />
       <listitem open="0" type="814" id="2542" />
       <listitem open="0" type="814" id="522" />
       <listitem open="0" type="814" id="530" />
       <listitem open="0" type="814" id="538" />
       <listitem open="0" type="814" id="962" />
       <listitem open="0" type="814" id="979" />
       <listitem open="0" type="814" id="9458" />
       <listitem open="0" type="814" id="9481" />
       <listitem open="0" type="814" id="9493" />
       <listitem open="0" type="814" id="546" />
       <listitem open="0" type="814" id="6852" />
       <listitem open="0" type="814" id="15859" />
       <listitem open="0" type="814" id="19820" />
       <listitem open="0" type="814" id="83653" />
       <listitem open="0" type="815" id="110" />
       <listitem open="0" type="815" id="4743" />
       <listitem open="0" type="815" id="116" />
      </listitem>
      <listitem open="0" type="813" id="37" >
       <listitem open="0" type="814" id="458" />
       <listitem open="0" type="814" id="90932" />
       <listitem open="0" type="814" id="15382" />
       <listitem open="0" type="814" id="15367" />
       <listitem open="0" type="814" id="913" />
       <listitem open="0" type="814" id="2433" />
       <listitem open="0" type="814" id="2442" />
       <listitem open="0" type="814" id="2451" />
       <listitem open="0" type="814" id="2460" />
       <listitem open="0" type="814" id="9235" />
       <listitem open="0" type="814" id="13994" />
       <listitem open="0" type="814" id="14073" />
       <listitem open="0" type="815" id="19966" />
       <listitem open="0" type="815" id="90989" />
       <listitem open="0" type="815" id="20027" />
       <listitem open="0" type="815" id="20059" />
       <listitem open="0" type="815" id="20092" />
       <listitem open="0" type="815" id="20126" />
       <listitem open="0" type="815" id="20161" />
       <listitem open="0" type="815" id="20197" />
       <listitem open="0" type="815" id="20234" />
       <listitem open="0" type="815" id="20272" />
       <listitem open="0" type="815" id="20311" />
       <listitem open="0" type="815" id="20351" />
       <listitem open="0" type="815" id="20392" />
       <listitem open="0" type="815" id="20554" />
       <listitem open="0" type="815" id="20636" />
       <listitem open="0" type="815" id="20758" />
       <listitem open="0" type="815" id="20840" />
       <listitem open="0" type="815" id="20962" />
       <listitem open="0" type="815" id="21044" />
       <listitem open="0" type="815" id="21126" />
      </listitem>
      <listitem open="0" type="817" id="12" >
       <listitem open="0" type="815" id="9918" />
       <listitem open="0" type="815" id="16716" />
       <listitem open="0" type="815" id="16731" />
       <listitem open="0" type="815" id="16747" />
       <listitem open="0" type="815" id="58" />
       <listitem open="0" type="815" id="53" />
       <listitem open="0" type="815" id="46" />
       <listitem open="0" type="815" id="49" />
       <listitem open="0" type="815" id="6314" />
       <listitem open="0" type="815" id="38" />
       <listitem open="0" type="815" id="4427" />
       <listitem open="0" type="815" id="13536" />
       <listitem open="0" type="815" id="9942" />
       <listitem open="0" type="815" id="16764" />
       <listitem open="0" type="815" id="83382" />
      </listitem>
      <listitem open="0" type="817" id="10" >
       <listitem open="0" type="815" id="9976" />
       <listitem open="0" type="815" id="16884" />
       <listitem open="0" type="815" id="16923" />
       <listitem open="0" type="815" id="16945" />
       <listitem open="0" type="815" id="16987" />
       <listitem open="0" type="815" id="17010" />
       <listitem open="0" type="815" id="17058" />
       <listitem open="0" type="815" id="17179" />
       <listitem open="0" type="815" id="17205" />
       <listitem open="0" type="815" id="17232" />
       <listitem open="0" type="815" id="18054" />
       <listitem open="0" type="815" id="18082" />
       <listitem open="0" type="815" id="18111" />
       <listitem open="0" type="815" id="85691" />
       <listitem open="0" type="815" id="87722" />
       <listitem open="0" type="815" id="87666" />
       <listitem open="0" type="815" id="87501" />
       <listitem open="0" type="815" id="18346" />
       <listitem open="0" type="815" id="18406" />
       <listitem open="0" type="815" id="18466" />
       <listitem open="0" type="815" id="18643" />
       <listitem open="0" type="815" id="18790" />
       <listitem open="0" type="815" id="18879" />
       <listitem open="0" type="815" id="18939" />
       <listitem open="0" type="815" id="18999" />
       <listitem open="0" type="815" id="19059" />
       <listitem open="0" type="815" id="19119" />
       <listitem open="0" type="815" id="19179" />
       <listitem open="0" type="815" id="85745" />
       <listitem open="0" type="815" id="87393" />
       <listitem open="0" type="815" id="87556" />
       <listitem open="0" type="815" id="161" />
       <listitem open="0" type="815" id="7107" />
       <listitem open="0" type="815" id="9346" />
       <listitem open="0" type="815" id="8987" />
       <listitem open="0" type="815" id="89248" />
       <listitem open="0" type="815" id="9189" />
       <listitem open="0" type="815" id="90706" />
       <listitem open="0" type="815" id="507" />
       <listitem open="0" type="815" id="499" />
       <listitem open="0" type="815" id="2739" />
       <listitem open="0" type="815" id="10000" />
      </listitem>
     </listitem>
     <listitem open="0" type="818" id="5" />
     <listitem open="0" type="818" id="3" />
     <listitem open="0" type="830" id="18051" >
      <listitem open="1" type="829" id="1570" />
      <listitem open="1" type="829" id="1669" />
      <listitem open="1" type="829" id="1651" />
      <listitem open="1" type="829" id="1606" />
      <listitem open="1" type="829" id="1615" />
      <listitem open="1" type="829" id="1597" />
      <listitem open="1" type="829" id="1588" />
      <listitem open="1" type="829" id="1732" />
      <listitem open="1" type="829" id="1579" />
      <listitem open="1" type="829" id="1687" />
      <listitem open="1" type="829" id="1723" />
      <listitem open="1" type="829" id="1678" />
      <listitem open="1" type="829" id="1561" />
      <listitem open="1" type="829" id="1714" />
      <listitem open="1" type="829" id="1741" />
      <listitem open="1" type="829" id="1552" />
      <listitem open="1" type="829" id="1705" />
      <listitem open="1" type="829" id="1624" />
      <listitem open="1" type="829" id="1633" />
      <listitem open="1" type="829" id="1660" />
      <listitem open="1" type="829" id="1543" />
      <listitem open="1" type="829" id="1696" />
      <listitem open="1" type="829" id="1533" />
      <listitem open="1" type="829" id="1642" />
     </listitem>
    </listitem>
    <listitem open="1" type="802" id="3" />
    <listitem open="1" type="821" id="4" />
    <listitem open="1" type="827" id="5" />
    <listitem open="1" type="836" id="6" >
     <listitem open="1" type="832" id="111161" >
      <listitem open="0" type="833" id="111218" />
      <listitem open="0" type="833" id="111275" />
      <listitem open="0" type="833" id="111332" />
      <listitem open="0" type="833" id="114984" />
     </listitem>
     <listitem open="0" type="832" id="5681" >
      <listitem open="0" type="833" id="5701" />
      <listitem open="0" type="833" id="5711" />
      <listitem open="0" type="833" id="5824" />
      <listitem open="0" type="833" id="5976" />
      <listitem open="0" type="833" id="5721" />
     </listitem>
     <listitem open="0" type="832" id="1394" >
      <listitem open="0" type="833" id="2135" />
      <listitem open="0" type="833" id="2144" />
      <listitem open="0" type="833" id="2161" />
      <listitem open="0" type="833" id="2170" />
      <listitem open="0" type="833" id="2179" />
      <listitem open="0" type="833" id="2196" />
      <listitem open="0" type="833" id="2205" />
      <listitem open="0" type="833" id="2214" />
      <listitem open="0" type="833" id="2336" />
      <listitem open="0" type="833" id="2609" />
     </listitem>
     <listitem open="1" type="832" id="5691" >
      <listitem open="0" type="833" id="5740" />
      <listitem open="0" type="833" id="5750" />
      <listitem open="0" type="833" id="5769" />
     </listitem>
     <listitem open="1" type="832" id="13256" >
      <listitem open="0" type="833" id="14334" />
      <listitem open="0" type="833" id="14348" />
      <listitem open="0" type="833" id="14362" />
     </listitem>
     <listitem open="1" type="832" id="1911" >
      <listitem open="0" type="833" id="1971" />
      <listitem open="0" type="833" id="1980" />
      <listitem open="0" type="833" id="1989" />
     </listitem>
     <listitem open="1" type="832" id="13229" >
      <listitem open="0" type="833" id="14389" />
      <listitem open="0" type="833" id="14403" />
      <listitem open="0" type="833" id="14431" />
      <listitem open="0" type="833" id="14445" />
      <listitem open="0" type="833" id="14417" />
     </listitem>
     <listitem open="1" type="832" id="1385" >
      <listitem open="0" type="833" id="1532" />
      <listitem open="0" type="833" id="1767" />
      <listitem open="0" type="833" id="1835" />
      <listitem open="0" type="833" id="5843" />
      <listitem open="0" type="833" id="1808" />
      <listitem open="0" type="833" id="1817" />
      <listitem open="0" type="833" id="1826" />
      <listitem open="0" type="833" id="1844" />
      <listitem open="0" type="833" id="1861" />
      <listitem open="0" type="833" id="1870" />
      <listitem open="0" type="833" id="2592" />
      <listitem open="0" type="833" id="13629" />
      <listitem open="0" type="833" id="16518" />
     </listitem>
     <listitem open="1" type="832" id="1451" >
      <listitem open="0" type="833" id="1920" />
      <listitem open="0" type="833" id="1929" />
      <listitem open="0" type="833" id="1946" />
      <listitem open="0" type="833" id="2247" />
      <listitem open="0" type="833" id="2517" />
      <listitem open="0" type="833" id="5995" />
     </listitem>
    </listitem>
   </listitem>
  </listview>
  <codegeneration>
   <codegenerator language="PHP5" />
  </codegeneration>
 </XMI.extensions>
</XMI>


This file is created by Umbrello.

Thank you.
Comment 1 Bram Schoenmakers 2006-10-16 18:39:32 UTC
Next time, please use attachments instead of pasting the Umbrello XML file into the report directly.
Comment 2 Oliver Kellogg 2006-10-17 00:19:06 UTC
Created attachment 18143 [details]
bug135749-no-listview.xmi

After removing the <listview> from the <XMI.extensions> umbrello
at least no longer crashes.
Comment 3 Oliver Kellogg 2006-10-17 00:21:28 UTC
Ugh, bad. Will try to fix this before the 1.5.5 standalone release.
Comment 4 Oliver Kellogg 2006-10-17 21:22:24 UTC
"Диаграмма классов" has xmi.id="1" which conflicts with the xmi.id of the
Logical View. By changing that to a different, unused value, at least the
diagra, icon shows up in the list view. However when clicking on that
diagram, nothing is displayed (according to the XMI, there should be
two classwidgets, a boxwidget, and a floatingtext.) Strange.
Comment 5 Oliver Kellogg 2006-10-19 22:05:35 UTC
SVN commit 597279 by okellogg:

Avoid using numeric IDs for the root folders - they may collide with
ID numbers from pre-1.5.5 files.
Note to users: Please do not use the Umbrello that comes with KDE 3.5.5.
The corrected version will be released shortly at http://uml.sf.net
CCBUG:135749


 M  +5 -4      umldoc.cpp  


--- branches/KDE/3.5/kdesdk/umbrello/umbrello/umldoc.cpp #597278:597279
@@ -114,10 +114,10 @@
         i18n("Entity Relationship Model")
     };
     for (int i = 0; i < Uml::N_MODELTYPES; i++) {
-        m_root[i] = new UMLFolder(nativeRootName[i]);
+        m_root[i] = new UMLFolder(nativeRootName[i], STR2ID(nativeRootName[i]));
         m_root[i]->setLocalName(localizedRootName[i]);
     }
-    m_datatypeRoot = new UMLFolder("Datatypes");
+    m_datatypeRoot = new UMLFolder("Datatypes", "Datatypes");
     m_datatypeRoot->setLocalName(i18n("Datatypes"));
     m_datatypeRoot->setUMLPackage(m_root[Uml::mt_Logical]);
     m_root[Uml::mt_Logical]->addObject(m_datatypeRoot);
@@ -302,7 +302,7 @@
         for (int i = 0; i < Uml::N_MODELTYPES; i++)
             m_root[i]->removeAllObjects();
         // Restore the datatype folder, it has been deleted above.
-        m_datatypeRoot = new UMLFolder("Datatypes");
+        m_datatypeRoot = new UMLFolder("Datatypes", "Datatypes");
         m_datatypeRoot->setLocalName(i18n("Datatypes"));
         m_datatypeRoot->setUMLPackage(m_root[Uml::mt_Logical]);
         m_root[Uml::mt_Logical]->addObject(m_datatypeRoot);
@@ -852,7 +852,8 @@
 }
 
 UMLStereotype* UMLDoc::findStereotype(const QString &name) {
-    for (UMLStereotype *s = m_stereoList.first(); s; s = m_stereoList.next() ) {
+    UMLStereotype *s;
+    for (UMLStereotypeListIt it(m_stereoList); (s = it.current()) != NULL; ++it) {
         if (s->getName() == name)
             return s;
     }
Comment 6 Oliver Kellogg 2006-10-19 23:04:41 UTC
> Comment #4 From Oliver Kellogg
> [...] However when clicking on that 
> diagram, nothing is displayed (according to the XMI, there should be 
> two classwidgets, a boxwidget, and a floatingtext.) Strange. 

Forget that, the widgets are there (use scrolling.)
Comment 7 Oliver Kellogg 2006-10-19 23:35:32 UTC
Fixed on the premises of using a 1.5.4 generated XMI file, loading
it into the branches/KDE/3.5/umbrello r597310, saving to a different
file, and loading that file.
Please reopen if need be.
Comment 8 Oliver Kellogg 2006-10-19 23:57:08 UTC
SVN commit 597310 by okellogg:

removeObject(): Use UMLCanvasObject::removeAssociation() if the base type is
 ot_Association.
resolveRef(): Remove obj from m_objects if obj->resolveRef() fails.
CCBUG:135749


 M  +12 -3     package.cpp  


--- branches/KDE/3.5/kdesdk/umbrello/umbrello/package.cpp #597309:597310
@@ -76,7 +76,14 @@
 }
 
 void UMLPackage::removeObject(const UMLObject *pObject) {
-    m_objects.remove( pObject );
+    if (pObject->getBaseType() == Uml::ot_Association) {
+        UMLObject *o = const_cast<UMLObject*>(pObject);
+        UMLAssociation *assoc = static_cast<UMLAssociation*>(o);
+        UMLCanvasObject::removeAssociation(assoc);
+        delete assoc;
+    } else {
+        m_objects.remove(pObject);
+    }
 }
 
 void UMLPackage::removeAllObjects() {
@@ -86,7 +93,7 @@
         UMLPackage *pkg = dynamic_cast<UMLPackage*>(o);
         if (pkg)
             pkg->removeAllObjects();
-        //delete o;
+        delete o;
     }
     m_objects.clear();
 }
@@ -184,8 +191,10 @@
     bool overallSuccess = UMLCanvasObject::resolveRef();
     for (UMLObjectListIt oit(m_objects); oit.current(); ++oit) {
         UMLObject *obj = oit.current();
-        if (! obj->resolveRef())
+        if (! obj->resolveRef()) {
+            m_objects.remove(obj);
             overallSuccess = false;
+        }
     }
     return overallSuccess;
 }
Comment 9 Oliver Kellogg 2006-10-20 00:57:47 UTC
SVN commit 597308 by okellogg:

removeAllAssociations(): If the role{A,B}Obj->removeAssociation() fails then
 remove the assoc from this->m_List.
CCBUG:135749


 M  +12 -8     umlcanvasobject.cpp  


--- branches/KDE/3.5/kdesdk/umbrello/umbrello/umlcanvasobject.cpp #597307:597308
@@ -85,7 +85,7 @@
 int UMLCanvasObject::removeAssociation(UMLAssociation * assoc) {
     if(!hasAssociation(assoc) || !m_List.remove(assoc)) {
         kdWarning() << "UMLCanvasObject::removeAssociation: "
-            << "can't find assoc given in list" << endl;
+            << "can't find given assoc in list" << endl;
         return -1;
     }
     emit modified();
@@ -103,9 +103,10 @@
         UMLObject* objA = assoc->getObject(Uml::A);
         UMLObject* objB = assoc->getObject(Uml::B);
         UMLCanvasObject *roleAObj = dynamic_cast<UMLCanvasObject*>(objA);
-        if (roleAObj)
-            roleAObj->removeAssociation(assoc);
-        else if (objA)
+        if (roleAObj) {
+            if (roleAObj->removeAssociation(assoc) < 0)
+                m_List.remove(assoc);
+        } else if (objA)
             kdDebug() << "UMLCanvasObject::removeAllAssociations(" << m_Name
                 << "): objA " << objA->getName() << " is not a UMLCanvasObject"
                 << endl;
@@ -113,9 +114,10 @@
             kdDebug() << "UMLCanvasObject::removeAllAssociations(" << m_Name
                 << "): objA is NULL" << endl;
         UMLCanvasObject *roleBObj = dynamic_cast<UMLCanvasObject*>(objB);
-        if (roleBObj)
-            roleBObj->removeAssociation(assoc);
-        else if (objB)
+        if (roleBObj) {
+            if (roleBObj->removeAssociation(assoc) < 0)
+                m_List.remove(assoc);
+        } else if (objB)
             kdDebug() << "UMLCanvasObject::removeAllAssociations(" << m_Name
                 << "): objB " << objB->getName() << " is not a UMLCanvasObject"
                 << endl;
@@ -289,8 +291,10 @@
     bool overallSuccess = UMLObject::resolveRef();
     for (UMLObjectListIt ait(m_List); ait.current(); ++ait) {
         UMLObject *obj = ait.current();
-        if (! obj->resolveRef())
+        if (! obj->resolveRef()) {
+            m_List.remove(obj);
             overallSuccess = false;
+        }
     }
     return overallSuccess;
 }
Comment 10 Oliver Kellogg 2006-10-20 22:36:01 UTC
Further tests show that there are still problems, for example on exiting:

#7  0x00000000 in ?? ()
#8  0x0812a46e in UMLAssociation::getObjectId (this=0x8938f18, role=A)
    at /kdesdk-3.5-branch/umbrello/umbrello/association.cpp:458
#9  0x081274d2 in UMLAssociation::saveToXMI (this=0x8938f18, qDoc=@0xbfffdc30, 
    qElement=@0xbfffd8d0)
    at /kdesdk-3.5-branch/umbrello/umbrello/association.cpp:167
#10 0x0816acdf in UMLFolder::saveContents (this=0x84c8f68, qDoc=@0xbfffdc30, 
    qElement=@0xbfffd910)
    at /kdesdk-3.5-branch/umbrello/umbrello/folder.cpp:185
#11 0x0816af96 in UMLFolder::save (this=0x84c8f68, qDoc=@0xbfffdc30, 
    qElement=@0xbfffdb50)
    at /kdesdk-3.5-branch/umbrello/umbrello/folder.cpp:208
#12 0x0816b01b in UMLFolder::saveToXMI (this=0x84c8f68, qDoc=@0xbfffdc30, 
    qElement=@0xbfffdb50)
    at /kdesdk-3.5-branch/umbrello/umbrello/folder.cpp:214
#13 0x081be2b0 in UMLDoc::saveToXMI (this=0x84c8d00, file=@0x89a2260)
    at /kdesdk-3.5-branch/umbrello/umbrello/umldoc.cpp:1385
#14 0x081c39c7 in UMLDoc::addToUndoStack (this=0x84c8d00)
    at /kdesdk-3.5-branch/umbrello/umbrello/umldoc.cpp:2224
#15 0x081c29e8 in UMLDoc::setModified (this=0x84c8d00, modified=true, 
    addToUndo=true)
    at /kdesdk-3.5-branch/umbrello/umbrello/umldoc.cpp:2014
#16 0x081bcc42 in UMLDoc::changeCurrentView (this=0x84c8d00, id=
        {static npos = 4294967295, _M_dataplus = {<std::allocator<char>> = {<No data fields>}, _M_p = 0x89304f4 "25752"}, static _S_empty_rep_storage = {0, 0, 0, 0}}) at /kdesdk-3.5-branch/umbrello/umbrello/umldoc.cpp:1148
#17 0x081bc2d8 in UMLDoc::createDiagram (this=0x84c8d00, folder=0x84c8f68, 
    type=dt_Class, askForName=false)
    at /kdesdk-3.5-branch/umbrello/umbrello/umldoc.cpp:1058
#18 0x081b827f in UMLDoc::newDocument (this=0x84c8d00)
    at /kdesdk-3.5-branch/umbrello/umbrello/umldoc.cpp:334
#19 0x081af777 in UMLApp::slotFileNew (this=0x84b8b28)
    at /kdesdk-3.5-branch/umbrello/umbrello/uml.cpp:673
Comment 11 Oliver Kellogg 2006-10-20 22:41:22 UTC
Or on closing (always with Undo enabled):

#7  0x0867f8be in ?? ()
#8  0x081dac60 in UMLRole::saveToXMI (this=0x8680f10, qDoc=@0xbfffdc30, 
    qElement=@0xbfffd820)
    at /kdesdk-3.5-branch/umbrello/umbrello/umlrole.cpp:101
#9  0x081279d2 in UMLAssociation::saveToXMI (this=0x8680ea0, qDoc=@0xbfffdc30, 
    qElement=@0xbfffd8d0)
    at /kdesdk-3.5-branch/umbrello/umbrello/association.cpp:188
#10 0x0816acdf in UMLFolder::saveContents (this=0x84c8f38, qDoc=@0xbfffdc30, 
    qElement=@0xbfffd910)
    at /kdesdk-3.5-branch/umbrello/umbrello/folder.cpp:185
#11 0x0816af96 in UMLFolder::save (this=0x84c8f38, qDoc=@0xbfffdc30, 
    qElement=@0xbfffdb50)
    at /kdesdk-3.5-branch/umbrello/umbrello/folder.cpp:208
#12 0x0816b01b in UMLFolder::saveToXMI (this=0x84c8f38, qDoc=@0xbfffdc30, 
    qElement=@0xbfffdb50)
    at /kdesdk-3.5-branch/umbrello/umbrello/folder.cpp:214
#13 0x081be2b0 in UMLDoc::saveToXMI (this=0x84c8cd0, file=@0x86b9788)
    at /kdesdk-3.5-branch/umbrello/umbrello/umldoc.cpp:1385
#14 0x081c39c7 in UMLDoc::addToUndoStack (this=0x84c8cd0)
    at /kdesdk-3.5-branch/umbrello/umbrello/umldoc.cpp:2224
#15 0x081c29e8 in UMLDoc::setModified (this=0x84c8cd0, modified=true, 
    addToUndo=true)
    at /kdesdk-3.5-branch/umbrello/umbrello/umldoc.cpp:2014
#16 0x081bcc42 in UMLDoc::changeCurrentView (this=0x84c8cd0, id=
        {static npos = 4294967295, _M_dataplus = {<std::allocator<char>> = {<No data fields>}, _M_p = 0x84c9a84 "128"}, static _S_empty_rep_storage = {0, 0, 0, 0}}) at /kdesdk-3.5-branch/umbrello/umbrello/umldoc.cpp:1148
#17 0x081bc2d8 in UMLDoc::createDiagram (this=0x84c8cd0, folder=0x84c8f38, 
    type=dt_Class, askForName=false)
    at /kdesdk-3.5-branch/umbrello/umbrello/umldoc.cpp:1058
#18 0x081b827f in UMLDoc::newDocument (this=0x84c8cd0)
    at /kdesdk-3.5-branch/umbrello/umbrello/umldoc.cpp:334
#19 0x081af777 in UMLApp::slotFileNew (this=0x84b8af8)
    at /kdesdk-3.5-branch/umbrello/umbrello/uml.cpp:673
#20 0x081b039f in UMLApp::slotFileClose (this=0x84b8af8)
    at /kdesdk-3.5-branch/umbrello/umbrello/uml.cpp:795
Comment 12 Oliver Kellogg 2006-10-23 21:37:49 UTC
Remaining problem of crash at exit is fixed by

SVN commit 598502 by okellogg: 
 
removeAllAssociations(): Do not increment the iterator when positioned on an 
 association. Remove the association from m_List unconditionally. 

 M  +4 -0      ChangeLog
 M  +1 -1      VERSION
 M  +7 -6      umbrello/umlcanvasobject.cpp